Subject: FvwmAnimate wastes CPU

From: Dominik Vogt <[email-masked]>
Date: Wed, 19 Jan 2000 19:47:54 +0100

FvwmAnimate seems to draw animations even if neither the window
nor the icon are on the current page (and probably the current
desk too).  If you have several windows on off screen there is
a noticeable delay if you issue 'All iconify on'.  Sometimes
you can even see bits of the animation of the window on an
adjacent page.

Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Wed, 19 Jan 2000 13:59:27 -0500

> you can even see bits of the animation of the window on an

Don't  you think it be  wasting even more  CPU if it first checked all
the window  coordinates  to make  sure that  the  source and/or target
windows were visible before  it did the  animation?  (I suppose you'd
also want to check for animation across the area of visibility.)

How  likely   is  it  that   an  off-screen window     is  going to be
(de)iconified?

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Brad Giaccio <[email-masked]>
Date: Thu, 20 Jan 2000 07:09:12 -0500

> How  likely   is  it  that   an  off-screen window     is  going to be

Dan,

To answer your last question now that the IconManagers can use Animate
it is very likelly.  For example if I'm on page 0 0 and left click
on the netscape in my FvwmIconMan it will take me to that window and
deiconify if necessary.  So I get the effect of seeing the animation
head of in the direction of the page and then I get transferred there.

This doesn't bother me it actually gives a neat effect.  I'm just trying
to illustrate that it is now very likelly to happen given other module
use of Animate

Brad
-- 
--- There are two kinds of knowledge, you either know the answer or
			you know where to find it
		      -Kane, Johnson, and anonymous
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Thu, 20 Jan 2000 13:24:36 +0100

> also want to check for animation across the area of visibility.)

It doesn't exactly waste CPU but network bandwidth and user time.
On my local machine with 8 windows it takes about two seconds to
execute 'All iconify on'.  Okay, this case is a bit unrealistic,
but if you have one of these applications that can 'deiconify on
...' and this application is off screen and it has a lot of
transients that are de-iconified too this can be irritating.

All you'd have to do is listen for M_NEW_PAGE and M_NEW_DESK
packets and then check if either the start or the end position
is visible on the current page before animating (don't care
about the rare case where the current page is (1 0), the icon
is on (0 0) and the window on (2 0)).

> How  likely   is  it  that   an  off-screen window     is  going to be

Not so unlikely if you have applications with transients on
several pages (e.g. ddd).

Well, I'll see how easy this is to implement.

Bye

Dominik ^_^

---

From: Dan Espen <[email-masked]>
Date: Thu, 20 Jan 2000 07:59:31 -0500

> is on (0 0) and the window on (2 0)).

Well, OK, but the animation originating from nowhere and disappearing
into nowwhere would have be one of the neatest effects you could
come up with.  :)

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 21 Jan 2000 14:20:50 +0100

> into nowwhere would have be one of the neatest effects you could

Have you tried to achieve this?  I couldn't make fvwm to (de)iconify
from one invisible page to another.  I've committed a patch, but
it doesn't work if the window is on a different desk.  FvwmAnimate
would have to remember the desk for each window to handle this.
A different solution would be to include the window's desk number
in the iconify/deiconify packages.

Bye

Dominik ^_^

---

From: Dan Espen <[email-masked]>
Date: Fri, 21 Jan 2000 08:38:20 -0500

> in the iconify/deiconify packages.

No, I haven't tried it.